

epselon=10;
beta=0.99;
frisch=1;


theta2s=[0.6 0.7 0.75 ];
theta1s=[0.6 0.4 0.01 ];
    
    for n=1:length(theta1s);
    theta1=theta1s(n);
    theta2=theta2s(n);

rgms=[1.0^0.25  1.005^0.25 1.01^0.25 1.015^0.25 1.02^0.25 1.025^0.25 1.03^0.25 1.035^0.25 1.04^0.25  ];

 for i=1:length(rgms);
     rgm=rgms(i);
    
    



p_star1=((1-theta1*rgm^((epselon-1)))/(1-theta1))^(1/(1-epselon));
p_star2=((1-theta2*rgm^((epselon-1)))/(1-theta2))^(1/(1-epselon));

s(n,i)=(1-theta1)/(1-theta1*rgm^((epselon)))*p_star1^(-epselon)+(1-theta2)/(1-theta2*rgm^((epselon)))*p_star2^(-epselon);
s1(n,i)=(1-theta1)/(1-theta1*rgm^((epselon)))*p_star1^(-epselon);
s2(n,i)=(1-theta2)/(1-theta2*rgm^((epselon)))*p_star2^(-epselon);

marginalmarkup(n,i)=(epselon/(epselon-1)*(1-beta*theta1*(rgm)^(epselon-1))/(1-beta*theta1*(rgm)^(epselon)))+epselon/(epselon-1)*(1-beta*theta2*(rgm)^(epselon-1))/(1-beta*theta2*(rgm)^(epselon));
marginalmarkup1(n,i)=(epselon/(epselon-1)*(1-beta*theta1*(rgm)^(epselon-1))/(1-beta*theta1*(rgm)^(epselon)));
marginalmarkup2(n,i)=(epselon/(epselon-1)*(1-beta*theta2*(rgm)^(epselon-1))/(1-beta*theta2*(rgm)^(epselon)));

pgap(n,i)=1/p_star1+1/p_star2;

averagemarkup(n,i)=pgap(n,i)*marginalmarkup(n,i);
averagemarkup1(n,i)=1/p_star1*marginalmarkup1(n,i);
averagemarkup2(n,i)=1/p_star2*marginalmarkup2(n,i);


Y(n,i)= (1/(averagemarkup(n,i)*s(n,i)^frisch))^(1/(1+frisch));

logY(n,i)=(log(Y(n,i))-log(Y(n,1)))*100;
logM1(n,i)=(log(averagemarkup1(n,i))-log(averagemarkup1(n,1)))*100;
logM2(n,i)=(log(averagemarkup2(n,i))-log(averagemarkup2(n,1)))*100;
logM(n,i)=(log(averagemarkup(n,i))-log(averagemarkup(n,1)))*100;

logs1(n,i)=(log(s1(n,i))-log(s1(n,1)))*100;
logs2(n,i)=(log(s2(n,i))-log(s2(n,1)))*100;
logs(n,i)=(log(s(n,i))-log(s(n,1)))*100;

logpgap(n,i)=(log(pgap(n,i))-log(pgap(n,1)))*100;
logmarginalmarkup(n,i)=(log(marginalmarkup(n,i))-log(marginalmarkup(n,1)))*100;



    end

    end


    figure;
    
subplot(1,3,1);
plot(logY(1,:)','-o k','LineWidth',2);
hold on 
plot(logY(2,:)','-x r','LineWidth',2);
hold on 
plot(logY(3,:)','-  b','LineWidth',2);
hold off
xticks([1 5 9])
xticklabels({'0','2','4'})
 a = get(gca,'XTickLabel');  
 set(gca,'XTickLabel',a,'fontsize',18)

 axis tight,

xlabel('Annualized trend inflation','FontSize',14)
ylabel('Long-run Output','FontSize',18)
legend({'RS=1','RS=2','RS=4'},'FontSize',18 )


subplot(1,3,2);
plot(logs(1,:)','-o k','LineWidth',2);
hold on 
plot(logs(2,:)','-x r','LineWidth',2);
hold on 
plot(logs(3,:)','-  b','LineWidth',2);
hold off
xticks([1 5 9])
xticklabels({'0','2','4'})
 a = get(gca,'XTickLabel');  
 set(gca,'XTickLabel',a,'fontsize',18)
axis tight,

xlabel('Annualized trend inflation','FontSize',14)
ylabel('Price Dispersion','FontSize',18)


subplot(1,3,3);
plot(logM(1,:)','-o k','LineWidth',2);
hold on 
plot(logM(2,:)','-x r','LineWidth',2);
hold on 
plot(logM(3,:)','-  b','LineWidth',2);
hold off
xticks([1 5 9])
xticklabels({'0','2','4'})
 a = get(gca,'XTickLabel');  
 set(gca,'XTickLabel',a,'fontsize',18)
%axis([1 9 -8 0 ])
axis tight,


xlabel('Annualized trend inflation','FontSize',14)
ylabel('Average Price Mark-up','FontSize',18)




    figure;
    
subplot(2,2,1);

plot(logs1(1,:)','-o k','LineWidth',2);
hold on 
plot(logs1(2,:)','-x r','LineWidth',2);
hold on 
plot(logs1(3,:)','-  b','LineWidth',2);

xticks([1 5 9])
xticklabels({'0','2','4'})
 a = get(gca,'XTickLabel');  
 set(gca,'XTickLabel',a,'fontsize',18)
axis tight,
legend({'RS=1','RS=2','RS=4'},'FontSize',18 )


ylabel('Price Dispersion','FontSize',14)
title('Sector 1','FontSize',12)


subplot(2,2,2);

plot(logs2(1,:)','-o k','LineWidth',2);
hold on 
plot(logs2(2,:)','-x r','LineWidth',2);
hold on 
plot(logs2(3,:)','-  b','LineWidth',2);

xticks([1 5 9])
xticklabels({'0','2','4'})
 a = get(gca,'XTickLabel');  
 set(gca,'XTickLabel',a,'fontsize',18)
axis tight,


title('Sector 2','FontSize',12)


subplot(2,2,3);


plot(logM1(1,:)','-o k','LineWidth',2);
hold on 
plot(logM1(2,:)','-x r','LineWidth',2);
hold on 
plot(logM1(3,:)','-  b','LineWidth',2);

xticks([1 5 9])
xticklabels({'0','2','4'})
 a = get(gca,'XTickLabel');  
 set(gca,'XTickLabel',a,'fontsize',18)
axis tight,
xlabel('Annualized trend inflation','FontSize',14)
ylabel('Average Price Mark-up','FontSize',14)

subplot(2,2,4);


plot(logM2(1,:)','-o k','LineWidth',2);
hold on 
plot(logM2(2,:)','-x r','LineWidth',2);
hold on 
plot(logM2(3,:)','-  b','LineWidth',2);


xticks([1 5 9])
xticklabels({'0','2','4'})
 a = get(gca,'XTickLabel');  
 set(gca,'XTickLabel',a,'fontsize',18)
axis tight,

xlabel('Annualized trend inflation','FontSize',14)




